import { b as AssignRoleRequest$1, A as AssignRoleResponse$1, c as UnassignRoleRequest$1, U as UnassignRoleResponse$1, d as GetRolesRequest$1, G as GetRolesResponse$1, e as QueryRolesRequest$1, a as QueryRolesResponse$1 } from './members-v1-role-authorization.universal-Cy5OMX8J.js';

interface Role {
    roleKey?: string;
    title?: string;
}
interface AssignRoleRequest {
    /** @format GUID */
    memberId: string;
    roleKey: string;
}
interface AssignRoleResponse {
    roleKey?: string;
}
interface UnassignRoleRequest {
    /** @format GUID */
    memberId: string;
    roleKey: string;
}
interface UnassignRoleResponse {
    roleKey?: string;
}
interface GetRolesRequest {
    /** @format GUID */
    memberId: string;
}
interface GetRolesResponse {
    roles?: Role[];
}
interface QueryRolesRequest {
    /** Query options. */
    query?: Query;
}
interface Query {
    /** A filter object. See documentation [here](https://bo.wix.com/wix-docs/rnd/platformization-guidelines/api-query-language#platformization-guidelines_api-query-language_defining-in-protobuf) */
    filter?: any;
}
interface QueryRolesResponse {
    /** Map of members that met the query filter criteria. */
    rolesByMemberId?: Record<string, MemberRole>;
}
interface MemberRole {
    roles?: Role[];
}

type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
declare function assignRole(): __PublicMethodMetaInfo<'POST', {
    memberId: string;
}, AssignRoleRequest$1, AssignRoleRequest, AssignRoleResponse$1, AssignRoleResponse>;
declare function unassignRole(): __PublicMethodMetaInfo<'DELETE', {
    memberId: string;
}, UnassignRoleRequest$1, UnassignRoleRequest, UnassignRoleResponse$1, UnassignRoleResponse>;
declare function getRoles(): __PublicMethodMetaInfo<'GET', {
    memberId: string;
}, GetRolesRequest$1, GetRolesRequest, GetRolesResponse$1, GetRolesResponse>;
declare function queryRoles(): __PublicMethodMetaInfo<'POST', {}, QueryRolesRequest$1, QueryRolesRequest, QueryRolesResponse$1, QueryRolesResponse>;

export { type __PublicMethodMetaInfo, assignRole, getRoles, queryRoles, unassignRole };
